<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: Mock Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classMock.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Mock Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Mock:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classMock__inherit__graph.svg" width="91" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Mock:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classMock__coll__graph.svg" width="91" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae710f23cafb1a2f17772e8805d6312d2"><td class="memItemLeft" align="right" valign="top"><a id="ae710f23cafb1a2f17772e8805d6312d2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD0</b> (DoThis, void())</td></tr>
<tr class="separator:ae710f23cafb1a2f17772e8805d6312d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada59eea6991953353f332e3ea1e74444"><td class="memItemLeft" align="right" valign="top"><a id="ada59eea6991953353f332e3ea1e74444"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (VoidFromString, void(char *str))</td></tr>
<tr class="separator:ada59eea6991953353f332e3ea1e74444"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2db4d82b6f92b4e462929f651ac4c3b1"><td class="memItemLeft" align="right" valign="top"><a id="a2db4d82b6f92b4e462929f651ac4c3b1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (StringFromString, char *(char *str))</td></tr>
<tr class="separator:a2db4d82b6f92b4e462929f651ac4c3b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae73b4ee90bf6d84205d2b1c17f0b8433"><td class="memItemLeft" align="right" valign="top"><a id="ae73b4ee90bf6d84205d2b1c17f0b8433"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (IntFromString, int(char *str))</td></tr>
<tr class="separator:ae73b4ee90bf6d84205d2b1c17f0b8433"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cece30a3ea92b34f612f8032fe3a0f9"><td class="memItemLeft" align="right" valign="top"><a id="a2cece30a3ea92b34f612f8032fe3a0f9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (IntRefFromString, int &amp;(char *str))</td></tr>
<tr class="separator:a2cece30a3ea92b34f612f8032fe3a0f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac70c052254fa9816bd759c006062dc47"><td class="memItemLeft" align="right" valign="top"><a id="ac70c052254fa9816bd759c006062dc47"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (VoidFromFunc, void(void(*func)(char *str)))</td></tr>
<tr class="separator:ac70c052254fa9816bd759c006062dc47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2379efbc030f1adf8b032be3bdf081d"><td class="memItemLeft" align="right" valign="top"><a id="ae2379efbc030f1adf8b032be3bdf081d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (VoidFromIntRef, void(int &amp;n))</td></tr>
<tr class="separator:ae2379efbc030f1adf8b032be3bdf081d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fd62026610c5d3d3aeaaf2ade3e18aa"><td class="memItemLeft" align="right" valign="top"><a id="a3fd62026610c5d3d3aeaaf2ade3e18aa"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (VoidFromFloat, void(float n))</td></tr>
<tr class="separator:a3fd62026610c5d3d3aeaaf2ade3e18aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a890668928abcd28d4d39df164e7b6dd8"><td class="memItemLeft" align="right" valign="top"><a id="a890668928abcd28d4d39df164e7b6dd8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (VoidFromDouble, void(double n))</td></tr>
<tr class="separator:a890668928abcd28d4d39df164e7b6dd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50e2bda4375a59bb89fd5652bd33eb0f"><td class="memItemLeft" align="right" valign="top"><a id="a50e2bda4375a59bb89fd5652bd33eb0f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (VoidFromVector, void(const std::vector&lt; int &gt; &amp;v))</td></tr>
<tr class="separator:a50e2bda4375a59bb89fd5652bd33eb0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classInterface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classInterface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classInterface.html">Interface</a></td></tr>
<tr class="memitem:a65d6ae604e7e9a513aec72c9c94e0b97 inherit pub_methods_classInterface"><td class="memItemLeft" align="right" valign="top"><a id="a65d6ae604e7e9a513aec72c9c94e0b97"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>VoidFromString</b> (char *str)=0</td></tr>
<tr class="separator:a65d6ae604e7e9a513aec72c9c94e0b97 inherit pub_methods_classInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a756b1d22c12aa3f14a5083f90043fbf0 inherit pub_methods_classInterface"><td class="memItemLeft" align="right" valign="top"><a id="a756b1d22c12aa3f14a5083f90043fbf0"></a>
virtual char *&#160;</td><td class="memItemRight" valign="bottom"><b>StringFromString</b> (char *str)=0</td></tr>
<tr class="separator:a756b1d22c12aa3f14a5083f90043fbf0 inherit pub_methods_classInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab34c8a5fd2236a6b009f86a4e5851b61 inherit pub_methods_classInterface"><td class="memItemLeft" align="right" valign="top"><a id="ab34c8a5fd2236a6b009f86a4e5851b61"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>IntFromString</b> (char *str)=0</td></tr>
<tr class="separator:ab34c8a5fd2236a6b009f86a4e5851b61 inherit pub_methods_classInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab93276de67e60c44fd775d4c139aa8e1 inherit pub_methods_classInterface"><td class="memItemLeft" align="right" valign="top"><a id="ab93276de67e60c44fd775d4c139aa8e1"></a>
virtual int &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>IntRefFromString</b> (char *str)=0</td></tr>
<tr class="separator:ab93276de67e60c44fd775d4c139aa8e1 inherit pub_methods_classInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dab3c82b857a9a5f52b3ce6f7df547f inherit pub_methods_classInterface"><td class="memItemLeft" align="right" valign="top"><a id="a7dab3c82b857a9a5f52b3ce6f7df547f"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>VoidFromFunc</b> (void(*func)(char *str))=0</td></tr>
<tr class="separator:a7dab3c82b857a9a5f52b3ce6f7df547f inherit pub_methods_classInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa43fb56650a57b6b3e7743e54e50cb86 inherit pub_methods_classInterface"><td class="memItemLeft" align="right" valign="top"><a id="aa43fb56650a57b6b3e7743e54e50cb86"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>VoidFromIntRef</b> (int &amp;n)=0</td></tr>
<tr class="separator:aa43fb56650a57b6b3e7743e54e50cb86 inherit pub_methods_classInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2b3e9411c893a45642d3af632752c66 inherit pub_methods_classInterface"><td class="memItemLeft" align="right" valign="top"><a id="ae2b3e9411c893a45642d3af632752c66"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>VoidFromFloat</b> (float n)=0</td></tr>
<tr class="separator:ae2b3e9411c893a45642d3af632752c66 inherit pub_methods_classInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa56524017aabdbe46510648c711ab8a8 inherit pub_methods_classInterface"><td class="memItemLeft" align="right" valign="top"><a id="aa56524017aabdbe46510648c711ab8a8"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>VoidFromDouble</b> (double n)=0</td></tr>
<tr class="separator:aa56524017aabdbe46510648c711ab8a8 inherit pub_methods_classInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae84fe7e53f881db2f823ad35d004927a inherit pub_methods_classInterface"><td class="memItemLeft" align="right" valign="top"><a id="ae84fe7e53f881db2f823ad35d004927a"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>VoidFromVector</b> (const std::vector&lt; int &gt; &amp;v)=0</td></tr>
<tr class="separator:ae84fe7e53f881db2f823ad35d004927a inherit pub_methods_classInterface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>gmock-nice-strict_test.cc</li>
<li><a class="el" href="gmock__link__test_8h_source.html">gmock_link_test.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classMock.html">Mock</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
